Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 222483 - net-irc/eggdrop-1.6.19: version bump
Summary: net-irc/eggdrop-1.6.19: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Packages in net-irc
URL: http://www.eggheads.org/news/2008/04/...
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2009-1789
  Show dependency tree
 
Reported: 2008-05-17 10:36 UTC by Robert Förster
Modified: 2009-08-02 19:36 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
updated patchset (eggdrop-1.6.19-patches-1.0.tar.bz2,314.56 KB, application/octet-stream)
2008-05-17 10:41 UTC, Robert Förster
Details
updated ssl patch (30_all_ssl.patch,37.90 KB, patch)
2008-05-17 10:54 UTC, Robert Förster
Details | Diff
updated eggdrop.conf patch (98_all_eggdrop.conf.patch,3.46 KB, patch)
2008-05-17 10:54 UTC, Robert Förster
Details | Diff
30_all_more-chanmodes-and-fixes.patch (30_all_more-chanmodes-and-fixes.patch,682 bytes, patch)
2008-05-29 11:43 UTC, luminoso
Details | Diff
updated more chanmodes and fixes patch (30_all_more-chanmodes-and-fixes.patch,378 bytes, patch)
2008-06-19 22:25 UTC, Robert Förster
Details | Diff
update of the updated ssl patch (eggdrop-1.6.19-ssl_and_md5_and_thread-durex.patch,53.93 KB, patch)
2009-03-04 21:04 UTC, Robert Förster
Details | Diff
Updated 30_all_ssl.patch to apply to 1.6.19+ctcpfix (30_all_ssl.patch,53.88 KB, patch)
2009-07-26 19:23 UTC, Lienhart Woitok
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Förster 2008-05-17 10:36:22 UTC
bew version released with small bugfixes
upstream recommends TCL 8.5 now, but 8.4 works still too

Reproducible: Always
Comment 1 Robert Förster 2008-05-17 10:41:00 UTC
Created attachment 153407 [details]
updated patchset

changes:
- 30_all_ssl.patch: update to new version
- 80_all_CVE-2007-2807_servmsg.patch: merged upstream
- 98_all_eggdrop.conf.patch: last hunk merged upstream
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2008-05-17 10:48:44 UTC
Robert, please don't attach tarballs, but the files as plain text.
Comment 3 Robert Förster 2008-05-17 10:54:19 UTC
Created attachment 153413 [details, diff]
updated ssl patch
Comment 4 Robert Förster 2008-05-17 10:54:59 UTC
Created attachment 153415 [details, diff]
updated eggdrop.conf patch
Comment 5 luminoso 2008-05-29 11:43:30 UTC
Created attachment 154687 [details, diff]
30_all_more-chanmodes-and-fixes.patch

updated morechanmodes and fixes patch
Comment 6 Robert Förster 2008-06-19 22:25:04 UTC
Created attachment 157683 [details, diff]
updated more chanmodes and fixes patch

wrt comment #5
kill off a hunk which is used by the ssl patch already
Comment 7 Jan Vansteenkiste 2008-09-14 11:27:46 UTC
What's keeping this from going in the tree?
Comment 8 Patrick Lauer gentoo-dev 2009-03-01 18:29:32 UTC
(In reply to comment #7)
> What's keeping this from going in the tree?
> 
Manpower and/or time ... 
Comment 9 Patrick Lauer gentoo-dev 2009-03-01 18:54:33 UTC
Tried with the patches posted here, looks good so far.
Comment 10 johntash 2009-03-04 09:21:37 UTC
Tested with the patches here as well and it fixes the issue with not being able to connect via SSL for me.   
Comment 11 Robert Förster 2009-03-04 12:06:15 UTC
there is an updated patch on egghelp.org from january which fixes issues on 64 bit platforms, (can't link it atm, im behind a proxy) i'd applied it yesterday, i'll report back if that fixes the issues i was having (as in having to start the bot with -nt)
Comment 12 Robert Förster 2009-03-04 21:04:04 UTC
Created attachment 183935 [details, diff]
update of the updated ssl patch

quote from egghelp.org:
durex has updated the SSL patch for Eggdrop 1.6.19 to work with 64-bit systems. It also includes a fix to ensure it compiles with thread support. Download the patch from the files page.

and it fixes the few issues i was having with the old patch.

directly taken from egghelp.org as it compiles cleanly
Comment 13 johntash 2009-03-05 06:56:54 UTC
I was running 64bit with the previous SSL patch and able to connect via SSL to efnet.    This was the main reason I wanted to upgrade previously(ssl/64bit).    Tested with the updated ssl patch, and it compiled cleanly and still running stable so far on a SSL connection to the server.  
Comment 14 Lienhart Woitok 2009-07-26 19:23:56 UTC
Created attachment 199257 [details, diff]
Updated 30_all_ssl.patch to apply to 1.6.19+ctcpfix

The last posted ssl patch did not apply to latest upstream version 1.6.19+ctcpfix, this one does. I only had to change the src/patch.h part (mainly comments), so nothing should be broken by my modifications.
Comment 15 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-08-02 17:06:51 UTC
Patchset is on its way to the mirrors, bump later this evening/tomorrow.
Comment 16 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-08-02 19:36:36 UTC
+*eggdrop-1.6.19 (02 Aug 2009)
+
+  02 Aug 2009; Alex Legler <a3li@gentoo.org> +eggdrop-1.6.19.ebuild:
+  Non-maintainer commit: Version bump for security bug 270221. Also closes
+  bump request 222483.
+